Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Class Cheque11

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_09.Cheque11

public class Cheque11 extends Object

Java class for Cheque11 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Cheque11">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ChqTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ChequeType2Code" minOccurs="0"/>
             <element name="ChqNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
             <element name="ChqFr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}NameAndAddress16" minOccurs="0"/>
             <element name="DlvryMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ChequeDeliveryMethod1Choice" minOccurs="0"/>
             <element name="DlvrTo" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}NameAndAddress16" minOccurs="0"/>
             <element name="InstrPrty" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Priority2Code" minOccurs="0"/>
             <element name="ChqMtrtyDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ISODate" minOccurs="0"/>
             <element name="FrmsCd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
             <element name="MemoFld" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" maxOccurs="2" minOccurs="0"/>
             <element name="RgnlClrZone" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
             <element name="PrtLctn" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
             <element name="Sgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max70Text" maxOccurs="5" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected NameAndAddress16`
`chqFr`
`protected XMLGregorianCalendar`
`chqMtrtyDt`
`protected String`
`chqNb`
`protected ChequeType2Code`
`chqTp`
`protected NameAndAddress16`
`dlvrTo`
`protected ChequeDeliveryMethod1Choice`
`dlvryMtd`
`protected String`
`frmsCd`
`protected Priority2Code`
`instrPrty`
`protected List<String>`
`memoFld`
`protected String`
`prtLctn`
`protected String`
`rgnlClrZone`
`protected List<String>`
`sgntr`

## Constructor Summary

Constructors
Constructor
Description
`Cheque11()`

## Method Summary

Modifier and Type
Method
Description
`NameAndAddress16`
`getChqFr()`
Gets the value of the chqFr property.
`XMLGregorianCalendar`
`getChqMtrtyDt()`
Gets the value of the chqMtrtyDt property.
`String`
`getChqNb()`
Gets the value of the chqNb property.
`ChequeType2Code`
`getChqTp()`
Gets the value of the chqTp property.
`NameAndAddress16`
`getDlvrTo()`
Gets the value of the dlvrTo property.
`ChequeDeliveryMethod1Choice`
`getDlvryMtd()`
Gets the value of the dlvryMtd property.
`String`
`getFrmsCd()`
Gets the value of the frmsCd property.
`Priority2Code`
`getInstrPrty()`
Gets the value of the instrPrty property.
`List<String>`
`getMemoFld()`
Gets the value of the memoFld property.
`String`
`getPrtLctn()`
Gets the value of the prtLctn property.
`String`
`getRgnlClrZone()`
Gets the value of the rgnlClrZone property.
`List<String>`
`getSgntr()`
Gets the value of the sgntr property.
`void`
`setChqFr(NameAndAddress16 value)`
Sets the value of the chqFr property.
`void`
`setChqMtrtyDt(XMLGregorianCalendar value)`
Sets the value of the chqMtrtyDt property.
`void`
`setChqNb(String value)`
Sets the value of the chqNb property.
`void`
`setChqTp(ChequeType2Code value)`
Sets the value of the chqTp property.
`void`
`setDlvrTo(NameAndAddress16 value)`
Sets the value of the dlvrTo property.
`void`
`setDlvryMtd(ChequeDeliveryMethod1Choice value)`
Sets the value of the dlvryMtd property.
`void`
`setFrmsCd(String value)`
Sets the value of the frmsCd property.
`void`
`setInstrPrty(Priority2Code value)`
Sets the value of the instrPrty property.
`void`
`setPrtLctn(String value)`
Sets the value of the prtLctn property.
`void`
`setRgnlClrZone(String value)`
Sets the value of the rgnlClrZone property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### chqTp

protected ChequeType2Code chqTp

### chqNb

protected String chqNb

### chqFr

protected NameAndAddress16 chqFr

### dlvryMtd

protected ChequeDeliveryMethod1Choice dlvryMtd

### dlvrTo

protected NameAndAddress16 dlvrTo

### instrPrty

protected Priority2Code instrPrty

### chqMtrtyDt

protected XMLGregorianCalendar chqMtrtyDt

### frmsCd

protected String frmsCd

### memoFld

protected List<String> memoFld

### rgnlClrZone

protected String rgnlClrZone

### prtLctn

protected String prtLctn

### sgntr

protected List<String> sgntr

## Constructor Details

### Cheque11

public Cheque11()

## Method Details

### getChqTp

public ChequeType2Code getChqTp()
Gets the value of the chqTp property.

Returns:
  possible object is `ChequeType2Code`

### setChqTp

public void setChqTp(ChequeType2Code value)
Sets the value of the chqTp property.

Parameters:
  `value` - allowed object is `ChequeType2Code`

### getChqNb

public String getChqNb()
Gets the value of the chqNb property.

Returns:
  possible object is `String`

### setChqNb

public void setChqNb(String value)
Sets the value of the chqNb property.

Parameters:
  `value` - allowed object is `String`

### getChqFr

public NameAndAddress16 getChqFr()
Gets the value of the chqFr property.

Returns:
  possible object is `NameAndAddress16`

### setChqFr

public void setChqFr(NameAndAddress16 value)
Sets the value of the chqFr property.

Parameters:
  `value` - allowed object is `NameAndAddress16`

### getDlvryMtd

public ChequeDeliveryMethod1Choice getDlvryMtd()
Gets the value of the dlvryMtd property.

Returns:
  possible object is `ChequeDeliveryMethod1Choice`

### setDlvryMtd

public void setDlvryMtd(ChequeDeliveryMethod1Choice value)
Sets the value of the dlvryMtd property.

Parameters:
  `value` - allowed object is `ChequeDeliveryMethod1Choice`

### getDlvrTo

public NameAndAddress16 getDlvrTo()
Gets the value of the dlvrTo property.

Returns:
  possible object is `NameAndAddress16`

### setDlvrTo

public void setDlvrTo(NameAndAddress16 value)
Sets the value of the dlvrTo property.

Parameters:
  `value` - allowed object is `NameAndAddress16`

### getInstrPrty

public Priority2Code getInstrPrty()
Gets the value of the instrPrty property.

Returns:
  possible object is `Priority2Code`

### setInstrPrty

public void setInstrPrty(Priority2Code value)
Sets the value of the instrPrty property.

Parameters:
  `value` - allowed object is `Priority2Code`

### getChqMtrtyDt

public XMLGregorianCalendar getChqMtrtyDt()
Gets the value of the chqMtrtyDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setChqMtrtyDt

public void setChqMtrtyDt(XMLGregorianCalendar value)
Sets the value of the chqMtrtyDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getFrmsCd

public String getFrmsCd()
Gets the value of the frmsCd property.

Returns:
  possible object is `String`

### setFrmsCd

public void setFrmsCd(String value)
Sets the value of the frmsCd property.

Parameters:
  `value` - allowed object is `String`

### getMemoFld

public List<String> getMemoFld()
Gets the value of the memoFld property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the memoFld property.

For example, to add a new item, do as follows:

        getMemoFld().add(newItem);

Objects of the following type(s) are allowed in the list `String`

### getRgnlClrZone

public String getRgnlClrZone()
Gets the value of the rgnlClrZone property.

Returns:
  possible object is `String`

### setRgnlClrZone

public void setRgnlClrZone(String value)
Sets the value of the rgnlClrZone property.

Parameters:
  `value` - allowed object is `String`

### getPrtLctn

public String getPrtLctn()
Gets the value of the prtLctn property.

Returns:
  possible object is `String`

### setPrtLctn

public void setPrtLctn(String value)
Sets the value of the prtLctn property.

Parameters:
  `value` - allowed object is `String`

### getSgntr

public List<String> getSgntr()
Gets the value of the sgntr property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sgntr property.

For example, to add a new item, do as follows:

        getSgntr().add(newItem);

Objects of the following type(s) are allowed in the list `String`